| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Compressed Load of Eight Vectors
Load/Store Operations » Compressed Load Operations

## Overview

Functions used to decompress eight vectors from the internal buffer.

## Functions
void | compr_pop8 (v16bfloat16_compress *&p, v16bfloat16 &o1, v16bfloat16 &o2, v16bfloat16 &o3, v16bfloat16 &o4, v16bfloat16 &o5, v16bfloat16 &o6, v16bfloat16 &o7, v16bfloat16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v16bfloat16_compress *&p, v16bfloat16_compress *&p2, v16bfloat16 &o1, v16bfloat16 &o2, v16bfloat16 &o3, v16bfloat16 &o4, v16bfloat16 &o5, v16bfloat16 &o6, v16bfloat16 &o7, v16bfloat16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v16int16_compress *&p, v16int16 &o1, v16int16 &o2, v16int16 &o3, v16int16 &o4, v16int16 &o5, v16int16 &o6, v16int16 &o7, v16int16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v16int16_compress *&p, v16int16_compress *&p2, v16int16 &o1, v16int16 &o2, v16int16 &o3, v16int16 &o4, v16int16 &o5, v16int16 &o6, v16int16 &o7, v16int16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v16uint16_compress *&p, v16uint16 &o1, v16uint16 &o2, v16uint16 &o3, v16uint16 &o4, v16uint16 &o5, v16uint16 &o6, v16uint16 &o7, v16uint16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v16uint16_compress *&p, v16uint16_compress *&p2, v16uint16 &o1, v16uint16 &o2, v16uint16 &o3, v16uint16 &o4, v16uint16 &o5, v16uint16 &o6, v16uint16 &o7, v16uint16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v32int8_compress *&p, v32int8 &o1, v32int8 &o2, v32int8 &o3, v32int8 &o4, v32int8 &o5, v32int8 &o6, v32int8 &o7, v32int8 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v32int8_compress *&p, v32int8_compress *&p2, v32int8 &o1, v32int8 &o2, v32int8 &o3, v32int8 &o4, v32int8 &o5, v32int8 &o6, v32int8 &o7, v32int8 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v32uint8_compress *&p, v32uint8 &o1, v32uint8 &o2, v32uint8 &o3, v32uint8 &o4, v32uint8 &o5, v32uint8 &o6, v32uint8 &o7, v32uint8 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v32uint8_compress *&p, v32uint8_compress *&p2, v32uint8 &o1, v32uint8 &o2, v32uint8 &o3, v32uint8 &o4, v32uint8 &o5, v32uint8 &o6, v32uint8 &o7, v32uint8 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v4cint32_compress *&p, v4cint32 &o1, v4cint32 &o2, v4cint32 &o3, v4cint32 &o4, v4cint32 &o5, v4cint32 &o6, v4cint32 &o7, v4cint32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v4cint32_compress *&p, v4cint32_compress *&p2, v4cint32 &o1, v4cint32 &o2, v4cint32 &o3, v4cint32 &o4, v4cint32 &o5, v4cint32 &o6, v4cint32 &o7, v4cint32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v64int4_compress *&p, v64int4 &o1, v64int4 &o2, v64int4 &o3, v64int4 &o4, v64int4 &o5, v64int4 &o6, v64int4 &o7, v64int4 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v64int4_compress *&p, v64int4_compress *&p2, v64int4 &o1, v64int4 &o2, v64int4 &o3, v64int4 &o4, v64int4 &o5, v64int4 &o6, v64int4 &o7, v64int4 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v64uint4_compress *&p, v64uint4 &o1, v64uint4 &o2, v64uint4 &o3, v64uint4 &o4, v64uint4 &o5, v64uint4 &o6, v64uint4 &o7, v64uint4 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v64uint4_compress *&p, v64uint4_compress *&p2, v64uint4 &o1, v64uint4 &o2, v64uint4 &o3, v64uint4 &o4, v64uint4 &o5, v64uint4 &o6, v64uint4 &o7, v64uint4 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8cint16_compress *&p, v8cint16 &o1, v8cint16 &o2, v8cint16 &o3, v8cint16 &o4, v8cint16 &o5, v8cint16 &o6, v8cint16 &o7, v8cint16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8cint16_compress *&p, v8cint16_compress *&p2, v8cint16 &o1, v8cint16 &o2, v8cint16 &o3, v8cint16 &o4, v8cint16 &o5, v8cint16 &o6, v8cint16 &o7, v8cint16 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8int32_compress *&p, v8int32 &o1, v8int32 &o2, v8int32 &o3, v8int32 &o4, v8int32 &o5, v8int32 &o6, v8int32 &o7, v8int32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8int32_compress *&p, v8int32_compress *&p2, v8int32 &o1, v8int32 &o2, v8int32 &o3, v8int32 &o4, v8int32 &o5, v8int32 &o6, v8int32 &o7, v8int32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8uint32_compress *&p, v8uint32 &o1, v8uint32 &o2, v8uint32 &o3, v8uint32 &o4, v8uint32 &o5, v8uint32 &o6, v8uint32 &o7, v8uint32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.
void | compr_pop8 (v8uint32_compress *&p, v8uint32_compress *&p2, v8uint32 &o1, v8uint32 &o2, v8uint32 &o3, v8uint32 &o4, v8uint32 &o5, v8uint32 &o6, v8uint32 &o7, v8uint32 &o8)
| Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

## Function Documentation

## ◆ compr_pop8() [1/22]

void compr_pop8 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2,
|  | v16bfloat16 & | o3,
|  | v16bfloat16 & | o4,
|  | v16bfloat16 & | o5,
|  | v16bfloat16 & | o6,
|  | v16bfloat16 & | o7,
|  | v16bfloat16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [2/22]

void compr_pop8 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16_compress *& | p2,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2,
|  | v16bfloat16 & | o3,
|  | v16bfloat16 & | o4,
|  | v16bfloat16 & | o5,
|  | v16bfloat16 & | o6,
|  | v16bfloat16 & | o7,
|  | v16bfloat16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [3/22]

void compr_pop8 | ( | v16int16_compress *& | p,
|  | v16int16 & | o1,
|  | v16int16 & | o2,
|  | v16int16 & | o3,
|  | v16int16 & | o4,
|  | v16int16 & | o5,
|  | v16int16 & | o6,
|  | v16int16 & | o7,
|  | v16int16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [4/22]

void compr_pop8 | ( | v16int16_compress *& | p,
|  | v16int16_compress *& | p2,
|  | v16int16 & | o1,
|  | v16int16 & | o2,
|  | v16int16 & | o3,
|  | v16int16 & | o4,
|  | v16int16 & | o5,
|  | v16int16 & | o6,
|  | v16int16 & | o7,
|  | v16int16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [5/22]

void compr_pop8 | ( | v16uint16_compress *& | p,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2,
|  | v16uint16 & | o3,
|  | v16uint16 & | o4,
|  | v16uint16 & | o5,
|  | v16uint16 & | o6,
|  | v16uint16 & | o7,
|  | v16uint16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [6/22]

void compr_pop8 | ( | v16uint16_compress *& | p,
|  | v16uint16_compress *& | p2,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2,
|  | v16uint16 & | o3,
|  | v16uint16 & | o4,
|  | v16uint16 & | o5,
|  | v16uint16 & | o6,
|  | v16uint16 & | o7,
|  | v16uint16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [7/22]

void compr_pop8 | ( | v32int8_compress *& | p,
|  | v32int8 & | o1,
|  | v32int8 & | o2,
|  | v32int8 & | o3,
|  | v32int8 & | o4,
|  | v32int8 & | o5,
|  | v32int8 & | o6,
|  | v32int8 & | o7,
|  | v32int8 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [8/22]

void compr_pop8 | ( | v32int8_compress *& | p,
|  | v32int8_compress *& | p2,
|  | v32int8 & | o1,
|  | v32int8 & | o2,
|  | v32int8 & | o3,
|  | v32int8 & | o4,
|  | v32int8 & | o5,
|  | v32int8 & | o6,
|  | v32int8 & | o7,
|  | v32int8 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [9/22]

void compr_pop8 | ( | v32uint8_compress *& | p,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2,
|  | v32uint8 & | o3,
|  | v32uint8 & | o4,
|  | v32uint8 & | o5,
|  | v32uint8 & | o6,
|  | v32uint8 & | o7,
|  | v32uint8 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [10/22]

void compr_pop8 | ( | v32uint8_compress *& | p,
|  | v32uint8_compress *& | p2,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2,
|  | v32uint8 & | o3,
|  | v32uint8 & | o4,
|  | v32uint8 & | o5,
|  | v32uint8 & | o6,
|  | v32uint8 & | o7,
|  | v32uint8 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [11/22]

void compr_pop8 | ( | v4cint32_compress *& | p,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2,
|  | v4cint32 & | o3,
|  | v4cint32 & | o4,
|  | v4cint32 & | o5,
|  | v4cint32 & | o6,
|  | v4cint32 & | o7,
|  | v4cint32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [12/22]

void compr_pop8 | ( | v4cint32_compress *& | p,
|  | v4cint32_compress *& | p2,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2,
|  | v4cint32 & | o3,
|  | v4cint32 & | o4,
|  | v4cint32 & | o5,
|  | v4cint32 & | o6,
|  | v4cint32 & | o7,
|  | v4cint32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [13/22]

void compr_pop8 | ( | v64int4_compress *& | p,
|  | v64int4 & | o1,
|  | v64int4 & | o2,
|  | v64int4 & | o3,
|  | v64int4 & | o4,
|  | v64int4 & | o5,
|  | v64int4 & | o6,
|  | v64int4 & | o7,
|  | v64int4 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [14/22]

void compr_pop8 | ( | v64int4_compress *& | p,
|  | v64int4_compress *& | p2,
|  | v64int4 & | o1,
|  | v64int4 & | o2,
|  | v64int4 & | o3,
|  | v64int4 & | o4,
|  | v64int4 & | o5,
|  | v64int4 & | o6,
|  | v64int4 & | o7,
|  | v64int4 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [15/22]

void compr_pop8 | ( | v64uint4_compress *& | p,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2,
|  | v64uint4 & | o3,
|  | v64uint4 & | o4,
|  | v64uint4 & | o5,
|  | v64uint4 & | o6,
|  | v64uint4 & | o7,
|  | v64uint4 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [16/22]

void compr_pop8 | ( | v64uint4_compress *& | p,
|  | v64uint4_compress *& | p2,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2,
|  | v64uint4 & | o3,
|  | v64uint4 & | o4,
|  | v64uint4 & | o5,
|  | v64uint4 & | o6,
|  | v64uint4 & | o7,
|  | v64uint4 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [17/22]

void compr_pop8 | ( | v8cint16_compress *& | p,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2,
|  | v8cint16 & | o3,
|  | v8cint16 & | o4,
|  | v8cint16 & | o5,
|  | v8cint16 & | o6,
|  | v8cint16 & | o7,
|  | v8cint16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [18/22]

void compr_pop8 | ( | v8cint16_compress *& | p,
|  | v8cint16_compress *& | p2,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2,
|  | v8cint16 & | o3,
|  | v8cint16 & | o4,
|  | v8cint16 & | o5,
|  | v8cint16 & | o6,
|  | v8cint16 & | o7,
|  | v8cint16 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [19/22]

void compr_pop8 | ( | v8int32_compress *& | p,
|  | v8int32 & | o1,
|  | v8int32 & | o2,
|  | v8int32 & | o3,
|  | v8int32 & | o4,
|  | v8int32 & | o5,
|  | v8int32 & | o6,
|  | v8int32 & | o7,
|  | v8int32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [20/22]

void compr_pop8 | ( | v8int32_compress *& | p,
|  | v8int32_compress *& | p2,
|  | v8int32 & | o1,
|  | v8int32 & | o2,
|  | v8int32 & | o3,
|  | v8int32 & | o4,
|  | v8int32 & | o5,
|  | v8int32 & | o6,
|  | v8int32 & | o7,
|  | v8int32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [21/22]

void compr_pop8 | ( | v8uint32_compress *& | p,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2,
|  | v8uint32 & | o3,
|  | v8uint32 & | o4,
|  | v8uint32 & | o5,
|  | v8uint32 & | o6,
|  | v8uint32 & | o7,
|  | v8uint32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.

## ◆ compr_pop8() [22/22]

void compr_pop8 | ( | v8uint32_compress *& | p,
|  | v8uint32_compress *& | p2,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2,
|  | v8uint32 & | o3,
|  | v8uint32 & | o4,
|  | v8uint32 & | o5,
|  | v8uint32 & | o6,
|  | v8uint32 & | o7,
|  | v8uint32 & | o8 )

Fill the internal buffer from memory location p. Reads eight decompressed vectors from the internal buffer and stores them to o1 through o7. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.
  o3 | Reference to third output.
  o4 | Reference to fourth output.
  o5 | Reference to fifth output.
  o6 | Reference to sixth output.
  o7 | Reference to seventh output.
  o8 | Reference to eight output.